summaryrefslogtreecommitdiffstats
path: root/source/l/glibc
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/glibc')
-rw-r--r--source/l/glibc/glibc-2.29.en_US.no.am.pm.date.format.diff14
-rwxr-xr-xsource/l/glibc/glibc.SlackBuild4
2 files changed, 17 insertions, 1 deletions
diff --git a/source/l/glibc/glibc-2.29.en_US.no.am.pm.date.format.diff b/source/l/glibc/glibc-2.29.en_US.no.am.pm.date.format.diff
new file mode 100644
index 000000000..0a14ca3b9
--- /dev/null
+++ b/source/l/glibc/glibc-2.29.en_US.no.am.pm.date.format.diff
@@ -0,0 +1,14 @@
+--- ./localedata/locales/en_US.orig 2019-01-31 10:45:36.000000000 -0600
++++ ./localedata/locales/en_US 2019-01-31 22:35:02.033009166 -0600
+@@ -118,7 +118,10 @@
+ t_fmt_ampm "%I:%M:%S %p"
+ %
+ % Appropriate date and time representation for date(1)
+-date_fmt "%a %d %b %Y %r %Z"
++% [ Slackware editor's note - no thank you, US users
++% of UNIX-like systems expect a 24 hour clock, just
++% like users in the vast majority of other locales. ]
++%date_fmt "%a %d %b %Y %r %Z"
+ %
+ % Strings for AM/PM
+ %
diff --git a/source/l/glibc/glibc.SlackBuild b/source/l/glibc/glibc.SlackBuild
index c9976d6e6..3f20e6677 100755
--- a/source/l/glibc/glibc.SlackBuild
+++ b/source/l/glibc/glibc.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=glibc
VERSION=${VERSION:-$(echo glibc-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
@@ -152,6 +152,8 @@ apply_patches() {
zcat $CWD/glibc.ru_RU.CP1251.diff.gz | patch -p1 --verbose || exit 1
# Add a C.UTF-8 locale:
zcat $CWD/glibc-c-utf8-locale.patch.gz | patch -p1 --verbose || exit 1
+ # Don't use AM/PM format for date(1). That's just plain crazy.
+ zcat $CWD/glibc-2.29.en_US.no.am.pm.date.format.diff.gz | patch -p1 --verbose || exit 1
}
# This is going to be the initial $DESTDIR: